# Generated from knjdbrevision-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name knjdbrevision

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: A framework that can do database revision
License: MIT
URL: http://github.com/kaspernj/knjdbrevision
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.3.0
# BuildRequires: rubygem(rspec) < 2.4
# BuildRequires: rubygem(jeweler) >= 1.6.3
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Can create/alter tables, columns, indexes and even table rows. Supports
callbacks when certain events are triggered like an on_created.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/run_with_schema.rb
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/knjdbrevision.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.3-1
- Initial package
